<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_242-release) on Sun May 23 22:06:33 CEST 2021 -->
<title>com.distributed.radio Class Hierarchy</title>
<meta name="date" content="2021-05-23">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.distributed.radio Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.distributed.radio</h1>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">android.os.AsyncTask&lt;Params,Progress,Result&gt;
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/QueryLexerAPIAddSoundTitle.html" title="class in com.distributed.radio"><span class="typeNameLink">QueryLexerAPIAddSoundTitle</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/QueryLexerAPIDoQuery.html" title="class in com.distributed.radio"><span class="typeNameLink">QueryLexerAPIDoQuery</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/QueryVocalCmd.html" title="class in com.distributed.radio"><span class="typeNameLink">QueryVocalCmd</span></a></li>
</ul>
</li>
<li type="circle">android.content.Context
<ul>
<li type="circle">android.content.ContextWrapper
<ul>
<li type="circle">android.app.Application (implements android.content.ComponentCallbacks2)
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/IceBreaker.html" title="class in com.distributed.radio"><span class="typeNameLink">IceBreaker</span></a></li>
</ul>
</li>
<li type="circle">android.view.ContextThemeWrapper
<ul>
<li type="circle">android.app.Activity (implements android.content.ComponentCallbacks2, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory2, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback)
<ul>
<li type="circle">androidx.core.app.ComponentActivity (implements androidx.core.view.KeyEventDispatcher.Component, androidx.lifecycle.LifecycleOwner)
<ul>
<li type="circle">androidx.activity.ComponentActivity (implements androidx.lifecycle.LifecycleOwner, androidx.activity.OnBackPressedDispatcherOwner, androidx.savedstate.SavedStateRegistryOwner, androidx.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">androidx.fragment.app.FragmentActivity (implements androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.core.app.ActivityCompat.RequestPermissionsRequestCodeValidator)
<ul>
<li type="circle">androidx.appcompat.app.AppCompatActivity (implements androidx.appcompat.app.ActionBarDrawerToggle.DelegateProvider, androidx.appcompat.app.AppCompatCallback, androidx.core.app.TaskStackBuilder.SupportParentable)
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/ConfigActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">ConfigActivity</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">MainActivity</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/VlcActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">VlcActivity</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/FileChooser.html" title="class in com.distributed.radio"><span class="typeNameLink">FileChooser</span></a></li>
<li type="circle">androidx.fragment.app.Fragment (implements android.content.ComponentCallbacks, androidx.lifecycle.LifecycleOwner, androidx.savedstate.SavedStateRegistryOwner, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">androidx.fragment.app.DialogFragment (implements android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnDismissListener)
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/MainActivity.ErrorDialogFragment.html" title="class in com.distributed.radio"><span class="typeNameLink">MainActivity.ErrorDialogFragment</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/IceBreaker.BooleanHolder.html" title="class in com.distributed.radio"><span class="typeNameLink">IceBreaker.BooleanHolder</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/IceBreaker.MessageReady.html" title="class in com.distributed.radio"><span class="typeNameLink">IceBreaker.MessageReady</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/SoundInfoActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">SoundInfoActivity</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/UploadActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">UploadActivity</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/VocalCmd.html" title="class in com.distributed.radio"><span class="typeNameLink">VocalCmd</span></a></li>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/VocalCmdResultParser.html" title="class in com.distributed.radio"><span class="typeNameLink">VocalCmdResultParser</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio"><span class="typeNameLink">FileChooser.FileSelectedListener</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.distributed.radio.<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio"><span class="typeNameLink">DeliveryMode</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
